> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/standard-components/component-redeem.md).

# Component: Redeem

**Purpose**: An input form for a gift recipient to redeem a previously purchased gift.

{% embed url="<https://69c2cf3a42a094f3cd354b8d-cannwfeosv.chromatic.com/?path=/story/shop-components-content-redeem--default&full=1&shortcuts=false&singleStory=true&embed=true>" %}

Read more about the gift process here: [https://docs.limio.com/guides/feature-implementation-guides/guide-how-to-sell-subscription-gift-codes-in-limio-commerce](https://docs.limio.com/guides/feature-implementation-guides/guide-how-to-sell-subscription-gift-codes-in-limio-commerce "mention")

## Props

| Prop Name                | Label                                 | Type     | Default Value                                                             | Description |
| ------------------------ | ------------------------------------- | -------- | ------------------------------------------------------------------------- | ----------- |
| heading                  | Heading                               | string   | You're almost done                                                        |             |
| subHeading               | Sub Heading                           | richtext | Just tell us where you're located so you can start enjoying your product. |             |
| giftCodeLabel            | Gift Code Field Label                 | string   | Enter your code to redeem                                                 |             |
| giftCodeRegex            | Gift Code Regex                       | string   | ^\[a-zA-Z0-9]{10,11}$                                                     |             |
| contactUsMessage         | Contact us/issues redeeming gift text | richtext | Having issues redeeming your gift? Contact us                             |             |
| incorrectGiftCodeMessage | Incorrect Gift Code Message           | string   | The code you entered is incorrect                                         |             |
| noGiftCodeMessage        | Empty Gift Code Message               | string   | Please enter a code to continue                                           |             |
| alreadyRedeemedMessage   | Gift code already redeemed message    | string   | Gift code has already been redeemed                                       |             |
| invalidGiftCodeMessage   | Gift code doesn't exist message       | string   | Gift code doesn't exist                                                   |             |
| expiredCodeMessage       | Expired gift code message             | string   | Gift code is expired                                                      |             |
| fallbackErrorMessage     | Fallback error                        | string   | An error occured                                                          |             |
| confirmButtonText        | Button Text                           | string   | Redeem                                                                    |             |
| confirmButtonUrl         | Button Url                            | string   | [www.limio.com](http://www.limio.com)                                     |             |
| showOptionalFields       | Highlight optional fields?            | boolean  | false                                                                     |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/components/component-library/standard-components/component-redeem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
